<?php
/**
 * Community Builder functions loader.
 *
 * @package    Community_Builder
 * @subpackage Core
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

// Define Constants.
// Theme Version.
if ( ! defined( 'CB_THEME_VERSION' ) ) {
	define( 'CB_THEME_VERSION', '2.0.2' );
}

// Theme Directory.
if ( ! defined( 'CB_THEME_PATH' ) ) {
	define( 'CB_THEME_PATH', get_template_directory() );
}

// Theme URL.
if ( ! defined( 'CB_THEME_URL' ) ) {
	define( 'CB_THEME_URL', get_template_directory_uri() );
}

// Load core.
require CB_THEME_PATH . '/includes/class-community-builder.php';
require CB_THEME_PATH . '/includes/bootstrap/class-cb-core-loader.php';
require CB_THEME_PATH . '/includes/bootstrap/class-cb-plugin-compat-loader.php';
require CB_THEME_PATH . '/includes/bootstrap/class-cb-configurator.php';
require CB_THEME_PATH . '/includes/bootstrap/class-cb-asset-loader.php';

require CB_THEME_PATH . '/includes/core/class-cb-data-store.php';
require CB_THEME_PATH . '/includes/core/theme-styles/class-cb-theme-style-manager.php';

/**
 * Helper method to access the main Community Builder Helper instance
 *
 * @return Community_Builder
 */
function community_builder() {
	return Community_Builder::instance();
}

// Boot.
community_builder();
CB_Core_Loader::boot();
CB_Configurator::boot();
CB_Asset_Loader::boot();

// Load plugin compatibility.
CB_Plugin_Compat_Loader::boot();
