<?php
/**
 * Canvas Template entry.
 *
 * Used for page builders
 *
 * @package    Community_Builder
 * @subpackage Template
 * @copyright  Copyright (c) 2018, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

?>
<article <?php post_class( 'cb-page-canvas-entry clearfix' ); ?> id="post-<?php the_ID(); ?>">

	<?php do_action( 'cb_before_page_entry' ); ?>

	<div class="entry-inner">

		<?php do_action( 'cb_before_page_entry_contents' ); ?>

		<?php if ( ! is_singular() ) : // Only display Excerpts for Search. ?>

			<div class="entry-summary clearfix">

				<?php the_excerpt(); ?>

			</div><!-- .entry-summary -->

		<?php else : ?>

			<div class="entry-content clearfix">

				<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'community-builder' ) ); ?>

				<?php
				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . __( 'Pages:', 'community-builder' ),
						'after'  => '</div>',
					)
				);
				?>
			</div><!-- .entry-content -->

		<?php endif; ?>

		<?php do_action( 'cb_after_page_entry_contents' ); ?>

	</div><!-- end of entry-inner -->

	<?php do_action( 'cb_after_page_entry' ); ?>

</article>
